package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserMapper;
import com.sa.ibiz.demo.demo.domain.User;
import com.sa.ibiz.demo.demo.service.UserService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[User] 服务对象接口实现
 */
@Service
public class UserServiceImpl extends ServiceImplBase<UserMapper, User> implements UserService{


    @Resource
    private UserMapper userMapper;


    @Override
    public boolean create(User et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(User et){
        this.beforeUpdate(et);
		this.userMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(User et){
		return et.getUserid();  
    }

    @Override
    public boolean getDraft(User et)  {
            return true;
    }

	public List<User> listDefault(UserSearchFilter filter) {
		return userMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<User> searchDefault(UserSearchFilter filter) {
		return userMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userMapper.selectRow(sql);
    }

 }